cURL
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"shopId": 123,
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": true,
"name": {
"rus": "<string>",
"kaz": "<string>"
},
"description": {
"rus": "<string>",
"kaz": "<string>"
},
"vat": 123,
"attributes": [
{
"code": "<string>",
"valueCodes": [
"<string>"
]
}
],
"skus": [
{
"skuId": 123,
"attributeValueCodes": [
"<string>"
],
"price": 123,
"barcode": "<string>",
"photos": [
{
"mediaFile": "<string>",
"order": 123
}
]
}
]
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [
{
shopId: 123,
productId: 123,
categoryId: 123,
brandId: 123,
isLocalMade: true,
name: {rus: '<string>', kaz: '<string>'},
description: {rus: '<string>', kaz: '<string>'},
vat: 123,
attributes: [{code: '<string>', valueCodes: ['<string>']}],
skus: [
{
skuId: 123,
attributeValueCodes: ['<string>'],
price: 123,
barcode: '<string>',
photos: [{mediaFile: '<string>', order: 123}]
}
]
}
]
})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/import"
payload = { "products": [
{
"shopId": 123,
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": True,
"name": {
"rus": "<string>",
"kaz": "<string>"
},
"description": {
"rus": "<string>",
"kaz": "<string>"
},
"vat": 123,
"attributes": [
{
"code": "<string>",
"valueCodes": ["<string>"]
}
],
"skus": [
{
"skuId": 123,
"attributeValueCodes": ["<string>"],
"price": 123,
"barcode": "<string>",
"photos": [
{
"mediaFile": "<string>",
"order": 123
}
]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"jobId": 123,
"receivedItems": 123,
"queuedAt": "2023-11-07T05:31:56Z",
"infoUrl": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}Products
Post apisellerv1productsimport
POST
/
api
/
seller
/
v1
/
products
/
import
cURL
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"shopId": 123,
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": true,
"name": {
"rus": "<string>",
"kaz": "<string>"
},
"description": {
"rus": "<string>",
"kaz": "<string>"
},
"vat": 123,
"attributes": [
{
"code": "<string>",
"valueCodes": [
"<string>"
]
}
],
"skus": [
{
"skuId": 123,
"attributeValueCodes": [
"<string>"
],
"price": 123,
"barcode": "<string>",
"photos": [
{
"mediaFile": "<string>",
"order": 123
}
]
}
]
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [
{
shopId: 123,
productId: 123,
categoryId: 123,
brandId: 123,
isLocalMade: true,
name: {rus: '<string>', kaz: '<string>'},
description: {rus: '<string>', kaz: '<string>'},
vat: 123,
attributes: [{code: '<string>', valueCodes: ['<string>']}],
skus: [
{
skuId: 123,
attributeValueCodes: ['<string>'],
price: 123,
barcode: '<string>',
photos: [{mediaFile: '<string>', order: 123}]
}
]
}
]
})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/import"
payload = { "products": [
{
"shopId": 123,
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": True,
"name": {
"rus": "<string>",
"kaz": "<string>"
},
"description": {
"rus": "<string>",
"kaz": "<string>"
},
"vat": 123,
"attributes": [
{
"code": "<string>",
"valueCodes": ["<string>"]
}
],
"skus": [
{
"skuId": 123,
"attributeValueCodes": ["<string>"],
"price": 123,
"barcode": "<string>",
"photos": [
{
"mediaFile": "<string>",
"order": 123
}
]
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"jobId": 123,
"receivedItems": 123,
"queuedAt": "2023-11-07T05:31:56Z",
"infoUrl": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}Тело
application/json
Запрос на импорт или обновление товара
Show child attributes
Show child attributes
⌘I